(function( $ ) {
	'use strict';

  $(document).on('click', '.mapster-duplicate', function() {
    fetch(window.mapster_general.rest_url + 'mapster-wp-maps/duplicate', {
      headers : {
        'X-WP-Nonce' : window.mapster_general.nonce,
        'Content-Type' : 'application/json'
      },
      method : "POST",
      body : JSON.stringify({
        id : $(this).attr('id').replace('mapster-', '')
      })
    }).then(resp => resp.json()).then(response => {
      window.location.reload();
    })
  })

  $(document).on('click', '#mapster-wp-user-sub-export', function() {
    fetch(window.mapster_general.rest_url + 'mapster-wp-maps/csv-export', {
      headers : {
        'X-WP-Nonce' : window.mapster_general.nonce,
        'Content-Type' : 'application/json'
      },
      method : "GET"
    }).then(resp => resp.json()).then(response => {
			const items = response
			const replacer = (key, value) => value === null ? '' : value // specify how you want to handle null values here
			const header = Object.keys(items[0])
			const csv = [
			  header.join(','), // header row first
			  ...items.map(row => header.map(fieldName => JSON.stringify(row[fieldName], replacer)).join(','))
			].join('\r\n')

			console.log(csv);
			let blob = new Blob([csv], { type: 'text/csv' });
			var blobUrl = URL.createObjectURL(blob);
			var link = document.createElement("a"); // Or maybe get it from the current document
			link.href = blobUrl;
			link.download = "User-Submissions.csv";
			document.body.appendChild(link);
			link.click();
    })
  })

  $(document).on('change', '.mapster-submission-value', function() {
    let thisVal = $(this).is(':checkbox') ? $(this).is(':checked') : $(this).val();
    let thisID = $(this).attr('id');
    $('#' + thisID + '-val').html(thisVal);
  });
  $(document).on('keyup', '.mapster-submission-value', function() {
    let thisVal = $(this).is(':checkbox') ? $(this).is(':checked') : $(this).val();
    let thisID = $(this).attr('id');
    $('#' + thisID + '-val').html(thisVal);
  });

})( jQuery );
